<?php

require_once("include/class-tree.php");
require_once("config.php");
require_once("include/function.php");
require_once("language/language.php");
require_once("include/fckeditor.php");

if($dbtype == "mysql") {
        require_once("include/class-mysql.php");
}

if($dbtype == "pgsql") {
        require_once("include/class-pgsql.php");
}

if($KNOWLEDGEROOTDB != "PGSQL" && $KNOWLEDGEROOTDB != "MYSQL") {
        echo "WRONG DBTYPE SELECTED!\n";
        exit();
}

$db = new db();

$db->connect($dbhost,$dbuser,$dbpass,$dbdatabase);

if($dbtype == "pgsql") {
        $db->schema($dbschema);
        $db->set_client_encoding($dbencoding);
}

session_name("sessionid");
session_start();
						
$doexpand = 1;

$tree = new categoryTree();
$tree->start($db,$doexpand,$_SESSION['userid'],$_SESSION['groupid'],TRUE,"#");

$tree->open = $_SESSION['open'];
?>
<html>
<head>
<link rel="stylesheet" href="knowledgeroot.css" type="text/css">
</head>
<body>
<div class="movetitle">
<?php echo $languagetoken[$language]['moveto']; ?>
</div>
<div style="padding:10px 10px 5px 15px;" valign="top" width="100">
<?php
$tree->buildTree(0);
?>
</div>
</body>
</html>
<?
$db->close();

?>
